### ------------------------
### PREPARATION ------------------------
# BE AWARE, THE CHILD iD'S ARE PSYDOMIZED FOR THIS SPECIFIC STUDY AND CAN NOT BE COMBINED WITH OTHER DATA OF THE MYMOVEZ PROJECT

### ------------------------
### Load Packages ------------------------
library(pacman)
p_load(afex,
       foreign,
       Rmisc,
       ggplot2,
       plyr,
       dplyr,
       lme4,
       lmerTest,
       BaylorEdPsych,
       emmeans,
       sjPlot,
       reshape2,
       Rmisc,
       sjstats,
       tidyverse,
       mice,
       mediation)

# set optins
emm_options(lmerTest.limit = 4465)

### Data Files --------------------
# please adjust the filepath that you are using
# file <- read.csv2( "...Your file path.../...subfolder.../...filename.csv")

df2<-read.csv2("//cnas.ru.nl/wrkgrp/FSW-BSI-ERC_MyMovez_Data/Projects/1810_tw_vlog_intervention/2. Syntax/PLOSone/Data_Vlog_intervention.csv")

PP_file_imp<-read.csv2("//cnas.ru.nl/wrkgrp/FSW-BSI-ERC_MyMovez_Data/Projects/1810_tw_vlog_intervention/2. Syntax/PLOSone/Participants_Vlog_intervention.csv")

Exp<-read.csv2("//cnas.ru.nl/wrkgrp/FSW-BSI-ERC_MyMovez_Data/Projects/1810_tw_vlog_intervention/2. Syntax/PLOSone/Exposure.csv")

eval<-read.csv2("//cnas.ru.nl/wrkgrp/FSW-BSI-ERC_MyMovez_Data/Projects/1810_tw_vlog_intervention/2. Syntax/PLOSone/Vlog_rating.csv")

vloggers<-read.csv2("//cnas.ru.nl/wrkgrp/FSW-BSI-ERC_MyMovez_Data/Projects/1810_tw_vlog_intervention/2. Syntax/PLOSone/Vloggers.csv")



### Sample description ----
Sample_class<-as.data.frame(unique(df2[,c(1:5)]))
nrow(Sample_class) #N=26 classes
length(unique(Sample_class$Class)) #N=26, check
table(Sample_class$Condition)
#Control PA_MASS  PA_SNI 
#12       7       7 

Sample_child<-as.data.frame(unique(df2[,c(1,4,5,6)]))
nrow(Sample_child) #N=446
length(unique(Sample_child$Child)) #N=446, check
table(Sample_child$Condition) 
#Control PA_MASS  PA_SNI 
#192     123      131

table(PP_file_imp$Sex)
1-(sum(PP_file_imp$Sex)/448) # 47.54% is male

mean(PP_file_imp$Age)
sd(PP_file_imp$Age)
summary(PP_file_imp$Age)

### steps and MVPA ###
summary(df2$Steps)
sd(df2$Steps,na.rm=TRUE)
mean(df2$Steps,na.rm=TRUE)

summary(df2$Minutes_MVPA)
sd(df2$Minutes_MVPA,na.rm=TRUE)
mean(df2$Minutes_MVPA,na.rm=TRUE)

# missing data in steps
nrow(df2)
sum(!is.na(df2$Steps))

table(df2$Imputed) # 1226/(1226+4162), 23% missing
table1<-as.data.frame(table(df2$Wave,df2$Day,df2$Imputed))

# Visually inspect the data
mean_wave_condition <- summarySE(df2, measurevar="Steps", groupvars=c("WaveF", "Condition"),na.rm=TRUE)
plot_steps_wave<-ggplot(data=mean_wave_condition, aes(x=WaveF,y=Steps, group=c(Condition), colour=Condition)) + 
  theme(panel.grid.major = element_line(color="#e3e2e2"), panel.grid.minor = element_blank(), panel.background = element_blank(), axis.line = element_line(colour = "black"))+
  geom_line(size=1.2) +
  geom_point(size=1.2) +
  geom_errorbar(aes(ymin=Steps-se, ymax=Steps+se),width=.2,size=1.2)+
  scale_y_continuous(limits = c(8000,12000)) +
  scale_color_manual(labels = c("Control", "Mass Media", "Social Network"),values = c("#00FFB3", "#0000FF", "#FF0057")) +
  ylab("Steps per day")+
  xlab("Wave")+
  ggtitle("Steps per condition")
plot_steps_wave

### means per wave per variable,
df2$Posix<-NULL

Table_means_sd<-rbind(df2%>%
                        group_by(WaveF) %>%
                        summarize(Steps = mean(Steps),
                                  MVPA= mean(Minutes_MVPA),
                                  Desc_norms = mean(Obin_desc_class, na.rm=TRUE),
                                  Inj_norms = mean(Obin_inj_class,na.rm=TRUE),
                                  Enjoy = mean(PA_Enjoyment,na.rm=TRUE),
                                  SE = mean(PA_SE_mean,na.rm=TRUE),
                                  Moti_ext = mean(PA_Motivation_extrinsic_3,na.rm=TRUE),
                                  Moti_inj = mean(PA_Motivation_introjected_3,na.rm=TRUE),
                                  Moti_ide = mean(PA_Motivation_identified_3,na.rm=TRUE),
                                  Moti_int = mean(PA_Motivation_intrinsic_3,na.rm=TRUE)),
                      df2%>%
                        group_by(WaveF) %>%
                        summarize(Steps = sd(Steps),
                                  MVPA= sd(Minutes_MVPA),
                                  Desc_norms = sd(Obin_desc_class, na.rm=TRUE),
                                  Inj_norms = sd(Obin_inj_class,na.rm=TRUE),
                                  Enjoy = sd(PA_Enjoyment,na.rm=TRUE),
                                  SE = sd(PA_SE_mean,na.rm=TRUE),
                                  Moti_ext = sd(PA_Motivation_extrinsic_3,na.rm=TRUE),
                                  Moti_inj = sd(PA_Motivation_introjected_3,na.rm=TRUE),
                                  Moti_ide = sd(PA_Motivation_identified_3,na.rm=TRUE),
                                  Moti_int = sd(PA_Motivation_intrinsic_3,na.rm=TRUE))) %>% 
  t() %>% as.data.frame()
Table_means_sd<-Table_means_sd[-1,]  
names(Table_means_sd)<-c("M_T1","M_T2","M_T3","SD_T1","SD_T2","SD_T3")  

Table_means_sd2 <- data.frame(lapply(Table_means_sd, function(x) as.numeric(as.character(x))))
Table_means_sd2<-round(Table_means_sd2,2)
Table_means_sd2[1,]<-round(Table_means_sd2[1,],digits=0)
Table_means_sd2[2,]<-round(Table_means_sd2[2,],digits=0)

names(df2)
psych::describeBy(df2[,c(14,15,24,25,34,32,26:29)],df2$WaveF)  

### the athletic competence and BMI are separate because the are not measured every wave
mean(PP_file_imp$Ath_cov)
sd(PP_file_imp$Ath_cov)

### Recode variables, and contrast coding --------------------------------------------------------
names(df2)

# Schooltype
contrasts(df2$Type)<-c(-.5,.5)
colnames(contrasts(df2$Type))<-"Primary-Secondary"

# Sex, 0=male, 1=female
summary(df2$Sex)
df2$SexF<-"Male"
df2$SexF[df2$Sex==1]<- "Female"
table(df2$SexF)
df2$SexF<-as.factor(df2$SexF)
contrasts(df2$SexF)<-c(-.5,.5)
colnames(contrasts(df2$SexF))<-"Male-Female"

#Age
df2$AgeC<-df2$Age-mean(df2$Age)
plot(density(df2$AgeC,bw=1))

# BMI
plot(density(df2$zBMI,bw=1,na.rm=TRUE))
mean(df2$zBMI)

# Wave
df2$WaveF<-"T1"
df2$WaveF[df2$Wave==6]<-"T2"
df2$WaveF[df2$Wave==7]<-"T3"
df2$WaveF<-as.factor(df2$WaveF)

contrasts(df2$WaveF)<-matrix(c(-1/3,-1/3, 2/3, -1/3, -1/3, 2/3), nrow=3, ncol=2,byrow = TRUE) 
colnames(contrasts(df2$WaveF)) <- c("Short", "Long")
contrasts(df2$WaveF)

# Condition (reference group is SNI, and positive)
contrasts(df2$Condition)<-matrix(c(-2/3,1/3,1/3, -2/3, 1/3, 1/3), nrow=3, ncol=2,byrow = TRUE) 
colnames(contrasts(df2$Condition)) <- c("Control-Social", "Mass-Social") 
contrasts(df2$Condition)

# Temp_mean
df2$Temp_meanC<-df2$Temp_mean-mean(df2$Temp_mean)

# Hours_sun
df2$Hours_sunC<-df2$Hours_sun-mean(df2$Hours_sun)

# Prec_hours
df2$Prec_hoursC<-df2$Prec_hours-mean(df2$Prec_hours)

# Humid
df2$HumidC<-df2$Humid-mean(df2$Humid)

### Add weekday and month variables---------------------
df2$Posix<-as.POSIXlt(df2$Date,format='%Y-%m-%d')
df2$Month<-months(as.Date(df2$Date))
df2$Month_num<-lubridate::month(df2$Posix)
df2$WDay_num<-df2$Posix$wday
table(df2$WDay_num)
df2$Weekend<-"Week"
df2$Weekend[df2$WDay_num==0]<-"Weekend"
df2$Weekend[df2$WDay_num==6]<-"Weekend"
df2$Weekend<-as.factor(df2$Weekend)

contrasts(df2$Weekend)<-c(-.5,.5)
colnames(contrasts(df2$Weekend))<-"Week-Weekend"

table(df2$WDay_num,df2$Weekend)

Sys.setlocale("LC_TIME", "C")
df2$wDay<-weekdays(as.Date(df2$Date))
table(df2$wDay)
df2$wDay<-ordered(df2$wDay, levels = c("Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"))
table(df2$Weekend,df2$wDay)

# and make the idintifiers as factors
df2$School<-as.factor(df2$School)
df2$Class<-as.factor(df2$Class)
df2$Child<-as.factor(df2$Child)
### -----------------------
### ANALYSES --------------
### -----------------------
### Builinding random effects and control variables ------------------------
# empty model
model0.0= lm(Steps ~ 1, data=df2)
summary(model0.0)

# empty model, random intercept per School, class, child, wday
model0.1 <- lmer(Steps ~ 1 + (1|School), data=df2)
summary(model0.1)
icc(model0.1, adjusted = TRUE)
# ICC = 0.02 --> explains very little

model0.2 <- lmer(Steps ~ 1 + (1|Class), data=df2)
summary(model0.2)
icc(model0.2, adjusted = TRUE)
# ICC  = 0.03 --> explains very little

model0.3 <- lmer(Steps ~ 1 + (1|Child), data=df2)
summary(model0.3)
icc(model0.3, adjusted = TRUE)
# ICC = 0.19 -->  most clustering in child
anova(model0.3,model0.0) #adds to the model

model0.4 <- lmer(Steps ~ 1 + (1|wDay), data=df2)
summary(model0.4)
icc(model0.4, adjusted = TRUE)
# ICC = 0.02 --> explains very little

model0.5 <- lmer(Steps ~ 1 + (1|Type), data=df2)
summary(model0.5)
icc(model0.5, adjusted = TRUE)
# ICC = 0.02 --> explains very little

model0.6 <- lmer(Steps ~ 1 + (1|Date), data=df2)
summary(model0.6)
icc(model0.6, adjusted = TRUE)
# ICC = 0.08 --> explains little


## so first add participant
## second step is Date

model0.7 <- lmer(Steps ~ 1 + (1|Child)+(1|Date), data=df2)
summary(model0.7)
icc(model0.7, adjusted = TRUE) # ICC = = 0.28
anova(model0.7,model0.3) # better than model 3 (child only)

# third step is class
model0.8 <- lmer(Steps ~ 1 + (1|Child)+(1|Date)+(1|Class), data=df2)
summary(model0.8)
icc(model0.8, adjusted = TRUE) # ICC = = 0.28
anova(model0.8,model0.7) # better than model 7 (child + date)

# fourth step is school (type)
model0.9 <- lmer(Steps ~ 1 + (1|Child)+(1|Date)+(1|Class)+(1|School), data=df2)
summary(model0.9)
anova(model0.9,model0.8) # not better than model 8

model0.10 <- lmer(Steps ~ 1 + (1|Child)+(1|Date)+(1|Class)+(1|Type), data=df2)
summary(model0.10)
icc(model0.10, adjusted = TRUE) # ICC = 0.30
anova(model0.10,model0.8) # better than model 8

# fifth step is month/weekend
model0.11<- lmer(Steps ~ 1 + (1|Child)+(1|Date)+(1|Class)+(1|Type)+(1|Month), data=df2)
summary(model0.11)
icc(model0.11, adjusted = TRUE)
anova(model0.11,model0.10) # month does not add

model0.12<- lmer(Steps ~ 1 + (1|Child)+(1|Date)+(1|Class)+(1|Type)+(1|Weekend), data=df2)
summary(model0.12)
icc(model0.12, adjusted = TRUE)
anova(model0.12,model0.10) # better but not meaningfull improvement in BIC (1 step)

model_0<-model0.10
rm(model0.0,model0.1,model0.2,model0.3,model0.4,model0.5,model0.6,model0.7,model0.8,model0.9,model0.10,model0.11, model0.12)

# check the addition of the control variables.
# sex
model_1.1<-lmer(Steps ~ SexF + (1|Child)+(1|Date)+(1|Class)+(1|Type), data=df2)
summary(model_1.1)
icc(model_1.1, adjusted = TRUE)
anova(model_1.1,model_0) 
# sex should be included

# Age
model_1.2<-lmer(Steps ~ SexF + AgeC + (1|Child)+(1|Date)+(1|Class)+(1|Type), data=df2)
summary(model_1.2)
icc(model_1.2, adjusted = TRUE)
anova(model_1.2,model_1.1) 
# age should be included

#  zBMI
model_1.3<-lmer(Steps ~ SexF + AgeC + zBMI+ (1|Child)+(1|Date)+(1|Class)+(1|Type), data=df2)
summary(model_1.3)
icc(model_1.3, adjusted = TRUE)
anova(model_1.3,model_1.2) 
# zBMI is ambivalent, lets included it to be sure.

# weather variables
summary(lmer(Steps ~ Temp_meanC+Hours_sunC+Prec_hoursC+HumidC+(1|Child)+(1|Date)+(1|Class)+(1|Type), data=df2))

# humidity most signifcant effect, so first
model_1.4<-lmer(Steps ~ SexF + AgeC + zBMI + 
                  #Temp_meanC+
                  #Hours_sunC+
                  #Prec_hoursC+
                  HumidC +  
                  (1|Child)+(1|Date)+(1|Class)+(1|Type), data=df2)
summary(model_1.4)
icc(model_1.4, adjusted = TRUE)
anova(model_1.4,model_1.2) 
# humidity adds to the model

# hours sun second
model_1.5<-lmer(Steps ~ SexF + AgeC + zBMI + 
                  #Temp_meanC+
                  Hours_sunC+
                  #Prec_hoursC+
                  HumidC +  
                  (1|Child)+(1|Date)+(1|Class)+(1|Type), data=df2)
summary(model_1.5)
icc(model_1.5, adjusted = TRUE)
anova(model_1.5,model_1.4) 
# hours of sun adds to the model

# Temperature
model_1.6<-lmer(Steps ~ SexF + AgeC + zBMI + 
                  Temp_meanC+
                  Hours_sunC+
                  #Prec_hoursC+
                  HumidC +  
                  (1|Child)+(1|Date)+(1|Class)+(1|Type), data=df2)
summary(model_1.6)
icc(model_1.6, adjusted = TRUE)
anova(model_1.6,model_1.5) 
# temperature does not add to the model

# precipitation
model_1.7<-lmer(Steps ~ SexF + AgeC + zBMI + 
                  Temp_meanC+
                  Hours_sunC+
                  Prec_hoursC+
                  HumidC +  
                  (1|Child)+(1|Date)+(1|Class)+(1|Type), data=df2)
summary(model_1.7)
icc(model_1.7, adjusted = TRUE)
anova(model_1.7,model_1.6) 
# precipitation does not add to the model


### Randomization check----------------
df_random_check<-subset(df2,Wave==5) # select T1

Random_check <- lmer(Steps ~ Condition + (1|Child)+(1|Date)+(1|Class), data=df_random_check)
summary(Random_check)
Random_check_df<-as.data.frame(emmeans(Random_check, "Condition")) # PA_MASS conditions looks lower
pairs(emmeans(Random_check, ~ Condition)) # no significant differences

#extra check (without random intercepts)
summary(aov(Steps~Condition,data=df_random_check))
TukeyHSD(aov(Steps~Condition,data=df_random_check))

write.csv2(df, "//cnas.ru.nl/wrkgrp/FSW-BSI-ERC_MyMovez_Data/Projects/1810_tw_vlog_intervention/2. Syntax/SEM/Data/df_of_intervention_paper.csv", row.names = FALSE)

### Primary outcome with covariates -------------------------------------------------------
model3.1<-lmer(Steps ~ (Condition*WaveF)+
                 SexF+
                 AgeC+
                 zBMI+
                 Temp_meanC+Hours_sunC+Prec_hoursC+HumidC+
                 Ath_covC+ # athletic competence
                 Weekend+ # is it a weekend or not
                 Type+
                 (1|Child)+(1|Date)+(1|Class), data=df2)
summary(model3.1, correlation = FALSE)
# variance explaned per random intercept:
# total = 32168630    (5683512.90+1481536.50+149687.31+24853892.94)
# Child =   5683512.90/32168630
# date =    1481536.50/32168630
# class =   149687.31/32168630


emmeans_steps<-as.data.frame(emmeans(model3.1, c("WaveF","Condition")))
emmeans_steps<-plyr::rename(emmeans_steps, c("emmean"="Steps"))
pairs(emmeans(model3.1, ~ "Condition"))
#contrast            estimate       SE    df t.ratio p.value
#Control - PA_MASS  1299.5546 498.5714 48.80   2.607  0.0319  # over the three waves, the Mass is lower than control
#Control - PA_SNI    200.2342 410.3751 22.95   0.488  0.8777
#PA_MASS - PA_SNI  -1099.3205 522.2650 37.51  -2.105  0.1024


# extracted means per sex
emmeans(model3.1, c("SexF"))

# without the influence agents
model3.2<-update(model3.1, .~., data=subset(df2,PI==0))
summary(model3.2, correlation = FALSE) # same results, but less data available (5116 vs 5388)

# same result

# without imputed data
df2o<-subset(df2,Imputed=="observed")
model3.3<-update(model3.1, .~.,  data=df2o)
summary(model3.3, correlation = FALSE) # same results, but less data (4162 vs 5388)
# same result

# and what about adding the Imputed variable as predictor?
model3.4<-update(model3.1, .~ (Condition*WaveF)+
                   SexF+
                   AgeC+
                   zBMI+
                   Temp_meanC+Hours_sunC+Prec_hoursC+HumidC+
                   Ath_covC+ # athletic competence
                   Weekend+ # is it a weekend or not
                   Type+
                   Imputed + 
                   (1|Child)+(1|Date)+(1|Class),  data=df2)
summary(model3.4, correlation = FALSE) # same results,)
# same result
contrasts(df2$Imputed)
# imputed data is lower than observed data though

emmeans_observed<-as.data.frame(emmeans(model3.4, c("WaveF","Condition")))
emmeans_observed<-plyr::rename(emmeans_observed, c("emmean"="Steps_Observed"))

plot_observed<-ggplot(data=emmeans_observed, aes(x=WaveF,y=Steps_Observed, group=Condition, colour=Condition)) + 
  geom_line(size=1.2) +
  geom_point(size=1.2) +
  geom_errorbar(aes(ymin=Steps_Observed-SE, ymax=Steps_Observed+SE),width=.2,size=1.2)+
  #scale_y_continuous(limits = c(5000,15000)) +
  ylab("Steps Observed")+
  xlab("Wave")+
  ggtitle("plot obeserved")
plot_observed

# Check for outliers ------------------------------------------------------
df2$Outliers<-scale(df2$Steps,center = TRUE, scale = TRUE)
summary(df2$Outliers)
df2$Outliers[df2$Outliers<3]<-0
df2$Outliers[df2$Outliers>2.99]<-1
table(df2$Condition,df2$Outliers)

df2_out<-subset(df2,Outliers==0)

model3.5<-lmer(Steps ~ (Condition*WaveF)+
                 SexF+
                 AgeC+
                 zBMI+
                 Temp_meanC+Hours_sunC+Prec_hoursC+HumidC+
                 Ath_covC+ # athletic competence
                 Weekend+ # is it a weekend or not
                 Type+
                 (1|Child)+(1|Date)+(1|Class), data=df2_out)
summary(model3.5, correlation = FALSE)
# same results


# What happend in the control condition? ----------------------------------
df_control<-subset(df2,Condition=="Control")
table(df_control$Condition)
df_control$Condition<-droplevels(df_control$Condition)
df_control$Class<-droplevels(df_control$Class)

table(df2$Condition,df2$Class)
table(df_control$Class)



model_control<-lmer(Steps ~ (Class*WaveF)+
                      SexF+
                      AgeC+
                      zBMI+
                      Temp_meanC+Hours_sunC+Prec_hoursC+HumidC+
                      Ath_covC+ # athletic competence
                      Weekend+
                      Month+ 
                      (1|Child)+(1|Date), data=df2_out)
summary(model_control, correlation = FALSE)
emmeans_control<-as.data.frame(emmeans(model_control, c("WaveF","School", "Class")))
emmeans_control<-plyr::rename(emmeans_control, c("emmean"="Steps"))

plot_class<-ggplot(data=emmeans_control, aes(x=WaveF,y=Steps, group=Class, colour=School)) + 
  geom_line(size=1.2) +
  geom_point(size=1.2) +
  geom_errorbar(aes(ymin=Steps-SE, ymax=Steps+SE),width=.2,size=1.2)+
  #scale_y_continuous(limits = c(5000,15000)) +
  ylab("Steps")+
  xlab("Wave")+
  ggtitle("Steps per class")
plot_class


# the missing contrast: control vs mass
contrasts(df2$Condition_Control)
contrasts(df2$Condition_Control)<-matrix(c(-1/3,-1/3,1/3,2/3, 2/3, 1/3), nrow=3, ncol=2,byrow = TRUE) 
colnames(contrasts(df2$Condition_Control)) <- c("Control-SNI", "Control-MASS") 
contrasts(df2$Condition_Control)

model3.1_test<-lmer(Steps ~ (Condition_Control*WaveF)+
                      SexF+
                      AgeC+
                      zBMI+
                      Temp_meanC+Hours_sunC+Prec_hoursC+HumidC+
                      Ath_covC+ # athletic competence
                      Weekend+ # is it a weekend or not
                      Type+
                      (1|Child)+(1|Date)+(1|Class), data=df2)
summary(model3.1_test, correlation = FALSE)
# no difference between the control and mass


pairs(emmeans(model3.1_test, ~ "Condition_Control"))
# But on average, the mass is lower

### Secondary outcomes---------------------------------------
df3<-df2
# the norms are have a broader range [0-7], make it 1-6 to fit the rest of the data
summary(df3$Obin_desc_class)
summary(df3$Obin_inj_class)

df3$Obin_desc_class2<-df3$Obin_desc_class*(5/7)+1
summary(df3$Obin_desc_class2)

df3$Obin_inj_class2<-df3$Obin_inj_class*(5/7)+1
summary(df3$Obin_inj_class2)

model4.2<-lmer(Obin ~ (WaveF*Condition)+
                 SexF+
                 AgeC+
                 zBMI+
                 Ath_covC+ # athletic competence
                 Cohort+
                 (1|Child)+(1|Class), data=df3)
summary(model4.2, correlation = FALSE)


# Desc norm
model4.3<-lmer(Obin_desc_class2 ~ (WaveF*Condition)+
                 SexF+
                 AgeC+
                 zBMI+
                 Ath_covC+ # athletic competence
                 Cohort+
                 (1|Child)+(1|Class), data=df3)
summary(model4.3, correlation = FALSE)

emmeans_desc_norm<-as.data.frame(emmeans(model4.3, c("WaveF","Condition")))
emmeans_desc_norm<-plyr::rename(emmeans_desc_norm, c("emmean"="Desc_norm"))

plot_desc_norm<-ggplot(data=emmeans_desc_norm, aes(x=WaveF,y=Desc_norm, group=Condition, colour=Condition)) + 
  geom_line(size=1.2) +
  geom_point(size=1.2) +
  geom_errorbar(aes(ymin=Desc_norm-SE, ymax=Desc_norm+SE),width=.2,size=1.2)+
  #ylab("active days per week")+
  xlab("Wave")+
  ggtitle("descriptive norm")
plot_desc_norm
ggsave("desc_norm.png")

# Injunctive norm
model4.4<-update(model4.3,Obin_inj_class2 ~ .)
summary(model4.4, correlation = FALSE)

emmeans_inj_norm<-as.data.frame(emmeans(model4.4, c("WaveF","Condition")))
emmeans_inj_norm<-plyr::rename(emmeans_inj_norm, c("emmean"="Inj_norm"))

plot_inj_norm<-ggplot(data=emmeans_inj_norm, aes(x=WaveF,y=Inj_norm, group=Condition, colour=Condition)) + 
  geom_line(size=1.2) +
  geom_point(size=1.2) +
  geom_errorbar(aes(ymin=Inj_norm-SE, ymax=Inj_norm+SE),width=.2,size=1.2)+
  #ylab("active days per week")+
  xlab("Wave")+
  ggtitle("injunctive norm")
plot_inj_norm
ggsave("inj_norm.png")

# Extrinsic motivation
model4.5<-update(model4.3,PA_Motivation_extrinsic_3 ~ .)
summary(model4.5, correlation = FALSE)

emmeans_moti_ext<-as.data.frame(emmeans(model4.5, c("WaveF","Condition")))
emmeans_moti_ext<-plyr::rename(emmeans_moti_ext, c("emmean"="Ext_motivation"))

plot_moti_ext<-ggplot(data=emmeans_moti_ext, aes(x=WaveF,y=Ext_motivation, group=Condition, colour=Condition)) + 
  geom_line(size=1.2) +
  geom_point(size=1.2) +
  geom_errorbar(aes(ymin=Ext_motivation-SE, ymax=Ext_motivation+SE),width=.2,size=1.2)+
  #ylab("active days per week")+
  xlab("Wave")+
  ggtitle("extrinsic motivation")
plot_moti_ext
ggsave("moti_ext.png")

# Introjected motivation
model4.6<-update(model4.3,PA_Motivation_introjected_3 ~ .)
summary(model4.6, correlation = FALSE)

emmeans_moti_inj<-as.data.frame(emmeans(model4.6, c("WaveF","Condition")))
emmeans_moti_inj<-plyr::rename(emmeans_moti_inj, c("emmean"="Inj_motivation"))

plot_moti_inj<-ggplot(data=emmeans_moti_inj, aes(x=WaveF,y=Inj_motivation, group=Condition, colour=Condition)) + 
  geom_line(size=1.2) +
  geom_point(size=1.2) +
  geom_errorbar(aes(ymin=Inj_motivation-SE, ymax=Inj_motivation+SE),width=.2,size=1.2)+
  #ylab("active days per week")+
  xlab("Wave")+
  ggtitle("Introjected motivation")
plot_moti_inj
ggsave("moti_inj.png")

# Identified motivation
model4.7<-update(model4.3,PA_Motivation_identified_3 ~ .)
summary(model4.7, correlation = FALSE)

emmeans_moti_ide<-as.data.frame(emmeans(model4.7, c("WaveF","Condition")))
emmeans_moti_ide<-plyr::rename(emmeans_moti_ide, c("emmean"="Ide_motivation"))

plot_moti_ide<-ggplot(data=emmeans_moti_ide, aes(x=WaveF,y=Ide_motivation, group=Condition, colour=Condition)) + 
  geom_line(size=1.2) +
  geom_point(size=1.2) +
  geom_errorbar(aes(ymin=Ide_motivation-SE, ymax=Ide_motivation+SE),width=.2,size=1.2)+
  #ylab("active days per week")+
  xlab("Wave")+
  ggtitle("Identified motivation")
plot_moti_ide
ggsave("moti_ide.png")

# Intrinsic motivation
model4.8<-update(model4.3,PA_Motivation_intrinsic_3 ~ .)
summary(model4.8, correlation = FALSE)

emmeans_moti_int<-as.data.frame(emmeans(model4.8, c("WaveF","Condition")))
emmeans_moti_int<-plyr::rename(emmeans_moti_int, c("emmean"="Int_motivation"))

plot_moti_int<-ggplot(data=emmeans_moti_int, aes(x=WaveF,y=Int_motivation, group=Condition, colour=Condition)) + 
  geom_line(size=1.2) +
  geom_point(size=1.2) +
  geom_errorbar(aes(ymin=Int_motivation-SE, ymax=Int_motivation+SE),width=.2,size=1.2)+
  #ylab("active days per week")+
  xlab("Wave")+
  ggtitle("Intrinsic motivation")
plot_moti_int
ggsave("moti_int.png")

# Enjoyment
model4.9<-update(model4.3,PA_Enjoyment ~ .)
summary(model4.9, correlation = FALSE)

emmeans_enjoy<-as.data.frame(emmeans(model4.9, c("WaveF","Condition")))
emmeans_enjoy<-plyr::rename(emmeans_enjoy, c("emmean"="Enjoyment"))

plot_enjoyment<-ggplot(data=emmeans_enjoy, aes(x=WaveF,y=Enjoyment, group=Condition, colour=Condition)) + 
  geom_line(size=1.2) +
  geom_point(size=1.2) +
  geom_errorbar(aes(ymin=Enjoyment-SE, ymax=Enjoyment+SE),width=.2,size=1.2)+
  #ylab("active days per week")+
  xlab("Wave")+
  ggtitle("Enjoyment")
plot_enjoyment
ggsave("enjoyment.png")

# Self-efficacy
model4.10<-update(model4.3,PA_SE_mean ~ .)
summary(model4.10, correlation = FALSE)

emmeans_SE<-as.data.frame(emmeans(model4.10, c("WaveF","Condition")))
emmeans_SE<-plyr::rename(emmeans_SE, c("emmean"="Self_efficacy"))

plot_SE<-ggplot(data=emmeans_SE, aes(x=WaveF,y=Self_efficacy, group=Condition, colour=Condition)) + 
  geom_line(size=1.2) +
  geom_point(size=1.2) +
  geom_errorbar(aes(ymin=Self_efficacy-SE, ymax=Self_efficacy+SE),width=.2,size=1.2)+
  #ylab("active days per week")+
  xlab("Wave")+
  ggtitle("Self Efficacy")
plot_SE
ggsave("SE.png")

# make a super file for facet display
emmeans_desc_norm$Variable<-"Descriptive Norm"
emmeans_inj_norm$Variable<-"Injunctive Norm"
emmeans_moti_ext$Variable<-"Extrinsic Motivation"
emmeans_moti_inj$Variable<-"Introjected Motivation"
emmeans_moti_ide$Variable<-"Identified Motivation"
emmeans_moti_int$Variable<-"Intrinsic Motivation"
emmeans_enjoy$Variable<-"Enjoyment"
emmeans_SE$Variable<-"Self-efficacy"

names(emmeans_desc_norm)<-c("WaveF","Condition","Value","SE","df","lower.CL","upper.CL", "Variable") 
names(emmeans_inj_norm)<-c("WaveF","Condition","Value","SE","df","lower.CL","upper.CL", "Variable") 
names(emmeans_moti_ext)<-c("WaveF","Condition","Value","SE","df","lower.CL","upper.CL", "Variable") 
names(emmeans_moti_inj)<-c("WaveF","Condition","Value","SE","df","lower.CL","upper.CL", "Variable") 
names(emmeans_moti_ide)<-c("WaveF","Condition","Value","SE","df","lower.CL","upper.CL", "Variable") 
names(emmeans_moti_int)<-c("WaveF","Condition","Value","SE","df","lower.CL","upper.CL", "Variable") 
names(emmeans_enjoy)<-c("WaveF","Condition","Value","SE","df","lower.CL","upper.CL", "Variable") 
names(emmeans_SE)<-c("WaveF","Condition","Value","SE","df","lower.CL","upper.CL", "Variable") 

emmeans_big<-rbind(emmeans_desc_norm,emmeans_inj_norm,emmeans_moti_ext,emmeans_moti_inj,emmeans_moti_ide,emmeans_moti_int,emmeans_enjoy,emmeans_SE)
emmeans_big$Variable<-factor(emmeans_big$Variable,levels = c("Descriptive Norm","Injunctive Norm","Enjoyment","Self-efficacy","Extrinsic Motivation","Introjected Motivation","Identified Motivation","Intrinsic Motivation"))
emmeans_big$Condition<-factor(emmeans_big$Condition,levels = c("PA_SNI","PA_MASS", "Control")) 

plot_explore<-ggplot(data=emmeans_big, aes(x=WaveF,y=Value, group=Condition, colour=Condition)) + 
  theme(panel.grid.major = element_line(color="#e3e2e2"), panel.grid.minor = element_blank(), panel.background = element_blank(), axis.line = element_line(colour = "black"))+
  geom_line(size=1) +
  geom_point(size=1) +
  geom_errorbar(aes(ymin=Value-SE, ymax=Value+SE),width=.2,size=1)+
  scale_y_continuous(limits = c(1,6)) +
  scale_color_manual(labels = c("Social network", "Mass media", "Control"),values = c("#FF0057", "#0000FF", "#00E5A1")) +
  xlab("Wave")+
  facet_wrap(vars(Variable),ncol=4)
plot_explore
ggsave("Figure_explore.png")


### plots for paper ------------------------
emmeans_steps$Condition<-factor(emmeans_steps$Condition,levels = c("PA_SNI","PA_MASS", "Control")) 

plot_intervention_effect<-ggplot() + 
  theme(panel.grid.major = element_line(color="#e3e2e2"), panel.grid.minor = element_blank(), panel.background = element_blank(), axis.line = element_line(colour = "black"))+
  geom_line(data=subset(emmeans_steps, WaveF!="T3"), aes(x=WaveF,y=Steps, group=Condition, colour=Condition),size=1.05) +
  geom_line(data=subset(emmeans_steps, WaveF!="T2"), aes(x=WaveF,y=Steps, group=Condition, colour=Condition),linetype=2,size=1.05) +
  geom_point(data=emmeans_steps, aes(x=WaveF,y=Steps, group=Condition, colour=Condition), size=1.05) +
  geom_errorbar(data=emmeans_steps,aes(x=WaveF, group=Condition, colour=Condition,ymin=Steps-SE, ymax=Steps+SE),width=.2,size=1)+
  scale_y_continuous(limits = c(6000,12000)) +
  scale_color_manual(labels = c("Social network", "Mass media", "Control"),values = c("#FF0057", "#0000FF", "#00E5A1")) +
  ylab("Steps per day")+
  xlab("Wave")
plot_intervention_effect
ggsave("Figure_intervention.png",  device = png(), width = 15, height = 5, units = c("cm"), dpi = 320)

plot_intervention_effect2<-ggplot() + 
  theme(panel.grid.major = element_line(color="#e3e2e2"), panel.grid.minor = element_blank(), panel.background = element_blank(), axis.line = element_line(colour = "black"))+
  geom_line(data=subset(emmeans_steps, WaveF!="T3"), aes(x=WaveF,y=Steps, group=Condition, colour=Condition),size=1.05) +
  geom_line(data=subset(emmeans_steps, WaveF!="T2"), aes(x=WaveF,y=Steps, group=Condition, colour=Condition),linetype=2,size=1.05) +
  geom_point(data=emmeans_steps, aes(x=WaveF,y=Steps, group=Condition, colour=Condition), size=1.05) +
  geom_errorbar(data=emmeans_steps,aes(x=WaveF, group=Condition, colour=Condition,ymin=lower.CL, ymax=upper.CL),width=.2,size=1.05)+
  scale_y_continuous(limits = c(5000,15000)) +
  scale_color_manual(labels = c("Social network", "Mass media", "Control"),values = c("#FF0057", "#0000FF", "#00E5A1")) +
  ylab("Steps per day")+
  xlab("Wave")
plot_intervention_effect2
ggsave("Figure_intervention_CI.png",  device = png(), width = 15, height = 5, units = c("cm"), dpi = 320)


emmeans_big$Condition<-factor(emmeans_big$Condition,levels = c("PA_SNI","PA_MASS", "Control")) 

plot_secondary_outcomes<-ggplot(data=emmeans_big, aes(x=WaveF,y=Value, group=Condition, colour=Condition)) + 
  theme(panel.grid.major = element_line(color="#e3e2e2"), panel.grid.minor = element_blank(), panel.background = element_blank(), axis.line = element_line(colour = "black"))+
  geom_line(size=1) +
  geom_point(size=1) +
  geom_errorbar(aes(ymin=Value-SE, ymax=Value+SE),width=.2,size=1)+
  scale_y_continuous(limits = c(1,6)) +
  scale_color_manual(labels = c("Social Network", "Mass Media", "Control"),values = c("#FF0057", "#0000FF", "#00E5A1")) +
  xlab("Wave")+
  facet_wrap(vars(Variable),ncol=4)+
  ggtitle("Secondary Outcomes")
plot_secondary_outcomes


### Vlog Evaluation ---------------------------------------------------------
Exp

#select only the conditions who were exposed to vlogs, and the intervention wave
df4<-subset(df2,Condition!="Control"& Wave==6)
table(df4$Condition)
df4$Condition<-droplevels(df4$Condition)
table(df4$Wave)

length(unique(df4$Child)) # 254 participants

# set the new contrast
contrasts(df4$Condition)<-c(-.5,.5)

# keep the stuff we need
names(Exp)
Exp<-Exp[,c(4,13,7,8,9)]


# inspect how many times the participants per wave were exposed.
Exp2<-Exp %>%
  group_by(Child) %>%
  summarize(Exposure_total = sum(Exposure)) # two extra participants?

Exp3<-Exp %>%
  group_by(Child) %>%
  summarize(Time_exposure_total = sum(Time_exposure)) 

Exp2<-left_join(Exp2,Exp3,by="Child")
PP_list<-unique(Exp2$Child)
Exp2<-Exp2[Exp2$Child %in% PP_list,]
Exp<-Exp[Exp$Child %in% PP_list,]

# center Exposure variable
Exp$ExposureC<-Exp$Exposure-mean(Exp$Exposure,na.rm=TRUE)
mean(Exp$ExposureC,na.rm=TRUE)

Exp$Time_exposureC<-Exp$Time_exposure-mean(Exp$Time_exposur,na.rm=TRUE)
mean(Exp$Time_exposureC,na.rm=TRUE)

Exp2$Exposure_totalC<-Exp2$Exposure_total-mean(Exp2$Exposure_total,na.rm=TRUE)
Exp3$Time_exposure_totalC<-Exp3$Time_exposure_total-mean(Exp3$Time_exposure_total,na.rm=TRUE)

#correct class
Exp$Child<-as.factor(Exp$Child)
Exp2$Child<-as.factor(Exp2$Child)
df4$Child<-as.factor(df4$Child)

#merge to the data
df4$Posix<-NULL
df4$Outliers<-NULL

df4<-left_join(df4,Exp,by=c("Child", "Day"))
df4<-left_join(df4,Exp2,by=c("Child"))

# make a exposed yes/no variable
df4$Exposed<-"no"
df4$Exposed[df4$Exposure>0]<-"yes"
table(df4$Exposed)
df4$Exposed<-as.factor(df4$Exposed)
contrasts(df4$Exposed)<-c(-.5,.5)
colnames(contrasts(df4$Exposed))<-"Exposed"

mean(df4$Exposure,na.rm=TRUE)
sd(df4$Exposure,na.rm=TRUE)

mean(df4$Time_exposure,na.rm=TRUE)
sd(df4$Time_exposure,na.rm=TRUE)

#difference between conditions
options(digits = 10)
df4%>%
  group_by(Condition) %>%
  summarize(Mean = mean(Exposure_total,na.rm=TRUE),
            SD = sd(Exposure_total,na.rm=TRUE))

t.test(Exposure_total~Condition,na.rm=TRUE,data=df4) # SNI HIGHER
t.test(Steps~Exposed,na.rm=TRUE,data=df4) # SNI HIGHER

df4%>%
  group_by(Condition) %>%
  summarize(Mean = mean(Time_exposure_total,na.rm=TRUE),
            SD = sd(Time_exposure_total,na.rm=TRUE))

t.test(Time_exposure_total~Condition,na.rm=TRUE,data=df4)

# and how many participants were not exposed to the vlogs
names(df4)
test<-as.data.frame(unique(df4[,c(6,5,57)]))
table(test$Condition,test$Exposure_total)


# test whether exposure yes/no predicts physical activity
model5.0<-lmer(Steps ~ 
                 Exposed+
                 SexF+
                 AgeC+
                 zBMI+
                 Temp_meanC+Hours_sunC+Prec_hoursC+HumidC+
                 Ath_covC+ # athletic competence
                 Weekend+ # is it a weekend or not
                 (1|Child)+(1|Date)+(1|Class), data=df4)
summary(model5.0, correlation = FALSE)
emmeans_exposure<-as.data.frame(emmeans(model5.0, c("Exposed")))
emmeans_exposure<-plyr::rename(emmeans_exposure, c("emmean"="Steps"))

model5.1<-lmer(Steps ~  ExposureC+
                 SexF+
                 AgeC+
                 zBMI+
                 Temp_meanC+Hours_sunC+Prec_hoursC+HumidC+
                 Ath_covC+ # athletic competence
                 Weekend+ # is it a weekend or not
                 Cohort+
                 (1|Child)+(1|Date)+(1|Class), data=df4)
summary(model5.1, correlation = FALSE)

# maybe only the people who are exposed
model5.2<-lmer(Steps ~  ExposureC+
                 SexF+
                 AgeC+
                 zBMI+
                 Temp_meanC+Hours_sunC+Prec_hoursC+HumidC+
                 Ath_covC+ # athletic competence
                 Weekend+ # is it a weekend or not
                 Cohort+
                 (1|Child)+(1|Date)+(1|Class), data=subset(df4,Exposed=="yes"))
summary(model5.2, correlation = FALSE)

psych::describeBy(df4$Steps,df4$Exposed)
boxplot(Steps~Exposed, data = df4)

summary(df4$Exposure)

test<-df4 %>% 
  group_by(Exposure)%>% 
  mutate(n=n())%>%
  summarize(Mean_steps = mean(Steps,na.rm=TRUE),
            Sd_Steps = sd(Steps,na.rm=TRUE)) %>%
  as.data.frame()

boxplot(Mean_steps~Exposure, data = test)

ggplot(test, aes(Exposure,Mean_steps))+
  geom_point()+
  geom_smooth(method=lm)

# make contrasts for the Name variable
table(df4$Name)
df4$Name<-droplevels(df4$Name)
df4$Name<-as.factor(df4$Name)
contrasts(df4$Name)

aggregate(df4$Steps,by=list(df4$Name),FUN=mean)

model5.3<-lmer(Steps ~  Name+
                 SexF+
                 AgeC+
                 zBMI+
                 Temp_meanC+Hours_sunC+Prec_hoursC+HumidC+
                 Ath_covC+ # athletic competence
                 Weekend+ # is it a weekend or not
                 Cohort+
                 (1|Child)+(1|Date)+(1|Class)+(1|Type), data=df4)
summary(model5.3, correlation = FALSE)
pairs(emmeans(model5.3, "Name")) # no differences


### rating per vlog -----
eval$Vlog_name<- factor(eval$Vlog_name, levels = c("voorstel", "yourmovez", "motivate", "challenge", "boysvsgirls", "coutchpotato"))
table(eval$Vlog_name)

aggregate(eval$Attitude, list(eval$Vlog_name), mean, na.rm=TRUE) 
aggregate(eval$Exposed_subj, list(eval$Vlog_name), mean, na.rm=TRUE) 
aggregate(eval$Attitude, list(eval$Class), mean, na.rm=TRUE)
aggregate(eval$Exposed_subj, list(eval$Class), mean, na.rm=TRUE)
aggregate(eval$Attitude, list(eval$Vlog_name,eval$Class), mean, na.rm=TRUE)

#merge to the data
class(df4$Child)
eval$Child<-as.character(eval$Child)
df5<-left_join(df4,eval,by=c("Child", "Day"))

#Center attitude
df5$AttitudeC<-df5$Attitude-mean(df5$Attitude,na.rm=TRUE)
mean(df5$AttitudeC,na.rm=TRUE)

mean(df5$Attitude,na.rm=TRUE)
sd(df5$Attitude,na.rm=TRUE)

# test effect in PA
aggregate(df5$Attitude,by=list(df5$Condition),FUN=sd, na.rm=TRUE)
t.test(Attitude~Condition,na.rm=TRUE,data=df5)

model5.4<-lmer(Steps ~ 
                 AttitudeC+
                 SexF+
                 AgeC+
                 zBMI+
                 Temp_meanC+Hours_sunC+Prec_hoursC+HumidC+
                 Ath_covC+ # athletic competence
                 Weekend+ # is it a weekend or not
                 (1|Child)+(1|Date)+(1|Class), data=df5)
summary(model5.4, correlation = FALSE)
pairs(emmeans(model5.4, "Name")) # no differences

### perceived distance -----
table(vloggers$Vlog_Inclusion_Other_Self_circles)
names(vloggers)

#merge to the data
vloggers$Child<-as.character(vloggers$Child)
df6<-left_join(df5,vloggers,by="Child")

mean(df6$Vlog_Inclusion_Other_Self_circles,na.rm=TRUE)
sd(df6$Vlog_Inclusion_Other_Self_circles,na.rm=TRUE)
summary(df6$Vlog_Inclusion_Other_Self_circles,na.rm=TRUE)

#Center Circles
df6$CircleC<-df6$Vlog_Inclusion_Other_Self_circles-mean(df6$Vlog_Inclusion_Other_Self_circles,na.rm=TRUE)
mean(df6$CircleC,na.rm=TRUE)

aggregate(df6$Vlog_Inclusion_Other_Self_circles,by=list(df6$Condition),FUN=mean, na.rm=TRUE)
aggregate(df6$Vlog_Inclusion_Other_Self_circles,by=list(df6$Condition),FUN=sd, na.rm=TRUE)
t.test(Vlog_Inclusion_Other_Self_circles~Condition,na.rm=TRUE,data=df6)

model5.5<-lmer(Steps ~ 
                 CircleC+
                 SexF+
                 AgeC+
                 zBMI+
                 Temp_meanC+Hours_sunC+Prec_hoursC+HumidC+
                 Ath_covC+ # athletic competence
                 Weekend+ # is it a weekend or not
                 (1|Child)+(1|Date)+(1|Class), data=df6)
summary(model5.5, correlation = FALSE)